import request from '@/utils/request';
import {REQUEST} from '@/utils/request';

export const stxkjs_list = (data = {}) =>
    request({
        url: '/khfw/kcbkb/weeksheet',
        data,
    })
// 文件上传
export const stxk_up = (data={}) =>{
    return  REQUEST['upload']({
        timeout: 30 * 60 * 1000,
        url:'upload/main/file',
        data: { filedata:data.file}
    })
}

// 教案添加
export const stxkjs_ja = (data={}) =>{
    return request({
        url: '/khfw/kcbkb_ja/add',
        data:{
            khfw_kcbkb_ja:data.khfw_kcbkb_ja
        },
    })
}

// 教案列表
export const stxkjs_lb = (data={}) =>{
    return request({
        url:'/khfw/kcbkb_ja/index',
        data,
    })
}
// 教案删除
export const stxkjs_sc = (data={}) =>{
    return request({
        url:'/khfw/kcbkb_ja/delete',
        data,
    })
}
// 申请
export const stxkjs_sq = (data={}) =>{
    return request({
        url:'/khfw/kcbkb_qd/add',
        data,
    })
}
// 签到
export const stxkjs_qd = (data={}) =>{
    return request({
        url:'/khfw/kcbkb_qd/edit',
        data:{
            kkq_id:data.kkq_id,
            khfw_kcbkb_qd:data.khfw_kcbkb_qd
        },
    })
}

// 添加签到
export const qd_add = (data={}) =>{
    return request({
        url:'/khfw/kcbkb_qd/add',
        data:{
            khfw_kcbkb_qd:data.khfw_kcbkb_qd
        },
    })
}